import 'package:hmg_patient_app/core/enum/viewstate.dart';
import 'package:hmg_patient_app/core/model/pharmacies/Manufacturer.dart';
import 'package:hmg_patient_app/core/service/parmacyModule/parmacy_module_service.dart';
import 'package:hmg_patient_app/core/viewModels/base_view_model.dart';

import '../../../locator.dart';

class BrandViewModel extends BaseViewModel {
  PharmacyModuleService _pharmacyService = locator<PharmacyModuleService>();

  List<Manufacturer> get manufacturerList => _pharmacyService.manufacturerList;

  Future getTopManufacturerList() async {
    setState(ViewState.BusyLocal);
    await _pharmacyService.getTopManufacturerList();
    // if (_pharmacyService.hasError) {
    //   error = _pharmacyService.error;
    //   setState(ViewState.Error);
    // } else {
      setState(ViewState.Idle);
    // }
  }

  @override
  void dispose() {

    super.dispose();
  }
}
